STRUCT TEMPLATE U(3)

NAME
boost::proto::unexpr - Lets you inherit the interface of an expression while hiding from Proto the fact that the type is a Proto expression.

SYNOPSIS

// In header: <boost/proto/expr.hpp>
template<typename Expr>
struct unexpr :  Expr {
  // construct/copy/destruct
  unexpr(Expr const &);
};

DESCRIPTION

For an expression type E, proto::is_expr<E>::value is true, but proto::is_expr<proto::unexpr<E> >::value is false.

  unexpr public construct/copy/destruct

    1.

    unexpr(Expr const & expr);